<?php

$editor = get_theme_mod( 'magoblog_editor', 'recent' );
$editor_num = 5;

if ( 'disable' === $editor ) {
    return;
}

for ( $i=1; $i <= $editor_num; $i++ ) { 
    $content_id[] = get_theme_mod( "magoblog_editor_post_" . $i );
} 

$args = array(
        'post_type' => $editor,
        'post__in' => (array)$content_id,   
        'orderby'   => 'post__in',
        'posts_per_page' => absint( $editor_num ),
        'ignore_sticky_posts' => true,
    );

?>
<div id="editor-slider" class="page-section no-padding-top">
    <div class="wrapper">
        <div class="section-header">
            <h2 class="section-title">
                <?php echo esc_html( get_theme_mod( 'magoblog_editor_title', __( 'Editors Picks', 'magoblog') ) ) ; ?>
            </h2>
        </div>

        <div class="editor-wrapper" data-slick='{"slidesToShow": 3, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": false, "arrows":true, "autoplay": false, "draggable": true, "fade": false }'>
            <?php
            if ( $editor == 'recent' ) {
                $args = array(
                    'post_type' => 'post',
                    'posts_per_page' => absint( $editor_num ),
                );
            }
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) {
                while ( $query->have_posts() ) {
                    $query->the_post();
                    $banner_thumbnail = get_the_post_thumbnail_url( get_the_id(), 'medium' );
            ?>
            <article>
                <div class="featured-image">
                    <a href="<?php the_permalink() ; ?>" tabindex="-1"><img src="<?php echo esc_url( $banner_thumbnail ) ; ?>"></a>
                </div>

                <div class="entry-container">
                    <header class="entry-header">
                        <h2 class="entry-title">
                            <a href="<?php the_permalink() ; ?>" tabindex="-1">
                                <?php the_title(); ?>
                            </a>
                        </h2>
                    </header>

                    <div class="entry-meta">
                        <?php blogoholic_posted_on() ; ?>
                    </div>
                </div>
            </article>
            <?php   }
            wp_reset_postdata();
        } ?>
        </div>
    </div>
</div>