<?php

function magoblog_setup() {

		add_theme_support( "title-tag" );

		add_theme_support( 'automatic-feed-links' );
		
		register_nav_menus( array(
			'secondary' => esc_html__( 'Secondary', 'magoblog' ),
			'social' 	=> esc_html__( 'Soical', 'magoblog' ),
		) );

	}
add_action( 'after_setup_theme', 'magoblog_setup' );

function magoblog_widgets_init() {

	for ( $i=1; $i <= 4; $i++ ) { 
		register_sidebar( array(
			'name'          => esc_html__( 'Footer Widget Area ', 'magoblog' )  . $i,
			'id'            => 'footer-' . $i,
			'description'   => esc_html__( 'Add widgets here.', 'magoblog' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title">',
			'after_title'   => '</h2>',
		) );
	}
}
add_action( 'widgets_init', 'magoblog_widgets_init' );

if ( ! function_exists( 'magoblog_enqueue_styles' ) ) :

	function magoblog_enqueue_styles() {
		wp_enqueue_style( 'magoblog-style-parent', get_template_directory_uri() . '/style.css' );

		wp_enqueue_style( 'magoblog-style', get_stylesheet_directory_uri() . '/style.css', array( 'magoblog-style-parent' ), '1.0.0' );

		wp_enqueue_style( 'magoblog-slick-css', get_theme_file_uri() . '/assets/css/slick-theme.css' );
		wp_enqueue_style( 'slick-css', get_theme_file_uri() . '/assets/css/slick.css' );

		wp_enqueue_script( 'slick-js', get_theme_file_uri() . '/assets/js/slick.js', array(), '1.0', true );

		wp_enqueue_script( 'magoblog-custom', get_theme_file_uri() . '/custom.js', array(), '1.0', true );

	}

endif;

add_action( 'wp_enqueue_scripts', 'magoblog_enqueue_styles', 999 );

function magoblog_customize_control_style() {

	wp_enqueue_style( 'magoblog-customize-controls', get_theme_file_uri() . '/customizer-control.css' );

}
add_action( 'customize_controls_enqueue_scripts', 'magoblog_customize_control_style' );

function magoblog_body_classes( $classes ) {
	
	$classes[] = 'third-design child-design' ;

	return $classes;
}
add_filter( 'body_class', 'magoblog_body_classes' );

require get_theme_file_path() . '/inc/customizer.php';


