<?php

$wp_customize->add_section(
	'magoblog_recent',
	array(
		'title' => esc_html__( 'Recent', 'magoblog' ),
		'panel' => 'blogoholic_home_panel',
	)
);

$wp_customize->add_setting(
	'magoblog_recent',
	array(
		'sanitize_callback' => 'blogoholic_sanitize_select',
		'default' => 'disable'
	)
);

$wp_customize->add_control(
	'magoblog_recent',
	array(
		'section'		=> 'magoblog_recent',
		'label'			=> esc_html__( 'Content type:', 'magoblog' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'magoblog' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'magoblog' ),
				'post' => esc_html__( 'Post', 'magoblog' ),
		 	)
	)
);

$wp_customize->add_setting(
	'magoblog_recent_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Recent Posts', 'magoblog' ),
	)
);

$wp_customize->add_control(
	'magoblog_recent_title',
	array(
		'section'		=> 'magoblog_recent',
		'label'			=> esc_html__( 'Title:', 'magoblog' ),
		'active_callback'	=> 'magoblog_if_recent_enabled'
	)
);


$recent_num = 3;
for ($i=1; $i <= $recent_num ; $i++) { 

	$wp_customize->add_setting(
		'magoblog_recent_post_'.$i,
		array(
			'sanitize_callback' => 'blogoholic_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'magoblog_recent_post_'.$i,
		array(
			'section'		=> 'magoblog_recent',
			'label'			=> esc_html__( 'Post ', 'magoblog' ).$i,
			'type'			=> 'select',
			'choices'		=> blogoholic_get_post_choices(),
			'active_callback'	=> 'magoblog_if_recent_enabled'
		)
	);
}

