<?php

$wp_customize->add_section(
	'magoblog_topbar',
	array(
		'title' => esc_html__( 'Top bar', 'magoblog' ),
		'panel' => 'blogoholic_home_panel',
	)
);

$wp_customize->add_setting(
	'magoblog_topbar',
	array(
		'sanitize_callback' => 'blogoholic_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'magoblog_topbar',
	array(
		'section'		=> 'magoblog_topbar',
		'label'			=> esc_html__( 'Enable Topbar', 'magoblog' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting(
	'magoblog_topbar_menu',
	array(
		'sanitize_callback' => 'blogoholic_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'magoblog_topbar_menu',
	array(
		'section'		=> 'magoblog_topbar',
		'label'			=> esc_html__( 'Enable Topbar Menu', 'magoblog' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting(
	'magoblog_topbar_search',
	array(
		'sanitize_callback' => 'blogoholic_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'magoblog_topbar_search',
	array(
		'section'		=> 'magoblog_topbar',
		'label'			=> esc_html__( 'Enable Search From', 'magoblog' ),
		'type'			=> 'checkbox',
	)
);

$wp_customize->add_setting( 'magoblog_header_ads_image', array(
	'sanitize_callback' => 'blogoholic_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'magoblog_header_ads_image',
	array(
	'label'       		=> esc_html__( 'Ads Image', 'magoblog' ),
	'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'magoblog' ), 810, 120 ),
	'section'     		=> 'magoblog_topbar',
) ) );

$wp_customize->add_setting( 'magoblog_header_ads_image_url', array(
	'sanitize_callback' => 'esc_url_raw',
) );

$wp_customize->add_control( 'magoblog_header_ads_image_url', array(
	'label'           	=> esc_html__( 'Ads Url', 'magoblog' ),
	'section'        	=> 'magoblog_topbar',
	'type'				=> 'url',
) );
